> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/kb/resolving-common-issues/why-is-my-video-not-playing-properly.md).

# Why is my video not playing properly?

Android supports a wide variety of video formats and individual devices may well add support for additional formats.

The list of “core” formats that Android supports is maintained on the [Android Developer Site.](http://developer.android.com/guide/appendix/media-formats.html#core)

When Xibo encounters a video format that it does not recognise it will still attempt to play it. if this causes an internal error Xibo for Android will mark the video as incompatible and refrain from playing it in the future. This “mark” is cleared each time the Player contacts the Xibo CMS in case an updated video is available.

{% hint style="info" %}
Check that you are on the latest version of the Xibo Player app and have video related settings set to Device Default:\
**Video Engine** = Device Default\
**Multiple Decoders** = Device Default
{% endhint %}

### Re-encoding Video <a href="#re-encoding_video" id="re-encoding_video"></a>

If the video still won’t play, the next best course of action is to re-encode the video to be in the standard Android format. This guarantees the best possible playback across all devices.

There are a number of 3rd party tools available that make re-encoding video simple and quick.

**Handbrake**\
Handbrake is a GUI based tool for that can be [downloaded for free](https://handbrake.fr/). It has a simple to use User Interface and comes with pre-set profiles that can be modified for Android. The below settings have proved to work well in testing.

* Select “iPhone & iPod Touch” preset
* Check the “Web Optimized” option
* Change the Average Bitrate in the Quality tab to \~1000kbps
* Change the size of the output video to your desired width (keep the\
  aspect ratio). Keep in mind that most devices are 720p.
* Save your preset as “Android”.

**libav**\
If you are a libav user you can use the command line tool “avconv” to manage the encoding. The codec you want is passed in on the command line - the following settings yield the best results:

```
avconv -i source.mp4 -vcodec libx264 -profile:v baseline -b 500k -r 30 -vf "setsar=1:1" -acodec libvo_aacenc -ac 2 -ar 44100 -ab 128k converted.mp4
```

**WinFF**\
Win FF is a free tool that can convert between numerous video formats into Android compatible formats. It is a GUI based application and can be downloaded from [http://winff.org/.](http://winff.org/html_new/)

### Updated Firmware <a href="#updated_firmware" id="updated_firmware"></a>

Device manufacturers may have bundled extra codecs with the later versions of their firmware. If re-encoding the videos it not a suitable option it might be possible to ask for the codec to be included in the device firmware. This would be at the manufacturers discretion. Updated firmware may also resolve issues in earlier firmware preventing good quality video playback.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/kb/resolving-common-issues/why-is-my-video-not-playing-properly.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
